<template>
    <div>
        <h1>Index page</h1>

        <div>
            Open this page in browser and look at the microdata

        </div>
    </div>

</template>

<script setup lang="ts">

import {getCurrentServerName} from "~/scripts/server-utils";


// difficulty is here
// we want to call the server on the same host as the client
// I assume that, as today, we will use the same code to serve each country
// however it would be possible to use different deployment for each country and add an environment variable to the client
const servername = getCurrentServerName();

// then it's pretty easy, we call the server (the server could use a cache) to retrieve the host settings for this host
// it's not related to the client, it's just a server call
const { data: hostSettings }: any = await useFetch( servername + '/api/host-settings')

const microdataName = 'Malt';
const microdataUrl = hostSettings.value ? hostSettings.value.url : "default";
const microdataSocialNetworks = hostSettings.value ? hostSettings.value.socialNetWorks : [];

useMeta({
    script: [
        {
            type: 'application/ld+json',
            children: `
                    {
                      "@context": "http://schema.org",
                      "@type": "Organization",
                      "name" : "${microdataName}",
                      "url": "${microdataUrl}",
                      "logo": "https://dam.malt.com/rebranding2020/malt-logo/malt-red",
                      "sameAs": ${JSON.stringify(microdataSocialNetworks)},
                    }
                    `
        }
    ],
})


</script>
